Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.ide
Class AgentAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.metaabm.ide.AgentAction

All Implemented Interfaces:
  org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelectionChangedListener

    public abstract class AgentAction

extends org.eclipse.jface.action.Action
implements org.eclipse.jface.viewers.ISelectionChangedListener

A UI action affecting a specific agent.

Author:
  milesparker

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`AgentAction(MetaABMEditor selectionProvider, java.lang.String text, org.eclipse.jface.resource.ImageDescriptor image)`

Method Summary
`boolean` | `flush()`
`protected java.lang.Object` | `getSelected()`
`boolean` | `isEnabled()`
`boolean` | `isRun()`
`void` | `run()`
`abstract void` | `run(SAgent agent)`
`void` | `selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)`

Methods inherited from class org.eclipse.jface.action.Action
`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### AgentAction

    public AgentAction(MetaABMEditor selectionProvider,
                       java.lang.String text,
                       org.eclipse.jface.resource.ImageDescriptor image)

Method Detail

### getSelected

    protected java.lang.Object getSelected()

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `isEnabled` in class `org.eclipse.jface.action.Action`

### run

    public void run()

  Specified by:
    `run` in interface `org.eclipse.jface.action.IAction`
  Overrides:
    `run` in class `org.eclipse.jface.action.Action`

### run

    public abstract void run(SAgent agent)

### isRun

    public boolean isRun()

### flush

    public boolean flush()

### selectionChanged

    public void selectionChanged(org.eclipse.jface.viewers.SelectionChangedEvent event)

  Specified by:
    `selectionChanged` in interface `org.eclipse.jface.viewers.ISelectionChangedListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD